# Header
And More

## org.jfree.chart.annotations
Interface XYAnnotationBoundsInfo

All Known Implementing Classes:
  XYDataImageAnnotation

    public interface XYAnnotationBoundsInfo

An interface that supplies information about the bounds of the annotation.

Since:
  1.0.13

Method Summary
`boolean` `getIncludeInDataBounds()` Returns a flag that determines whether or not the annotation's bounds should be taken into account for auto-range calculations on the axes that the annotation is plotted against.
`Range` `getXRange()` Returns the range of x-values (in data space) that the annotation uses.
`Range` `getYRange()` Returns the range of y-values (in data space) that the annotation uses.

Method Detail

### getIncludeInDataBounds

    boolean getIncludeInDataBounds()

  Returns a flag that determines whether or not the annotation's bounds should be taken into account for auto-range calculations on the axes that the annotation is plotted against.

  Returns:
    A boolean.

### getXRange

    Range getXRange()

  Returns the range of x-values (in data space) that the annotation uses.

  Returns:
    The x-range.

### getYRange

    Range getYRange()

  Returns the range of y-values (in data space) that the annotation uses.

  Returns:
    The y-range.

# Footer
And More

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.